﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Portable
{
    public partial class StartPage : ContentPage
    {
        public StartPage()
        {
            InitializeComponent();
            this.BindingContext = new List<Data>(from c in Enumerable.Range(0, 100) select new Data { Height = (c % 10) * 20 + 25, Name = "Name" + c });
        }

        public class Data : INotifyPropertyChanged
        {
            private double height;

            public double Height
            {
                get { return height; }
                set
                {
                    height = value;
                    this.OnPropertyChanged("Height");
                }
            }


            private string name;

            public event PropertyChangedEventHandler PropertyChanged;

            public string Name
            {
                get { return name; }
                set
                {
                    name = value;
                    this.OnPropertyChanged("Name");
                }
            }

            protected virtual void OnPropertyChanged(string propertyName)
            {
                if (this.PropertyChanged != null)
                {
                    this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }
        }
    }
}